File APIs for Java Developers
Manipulate DOC, XLS, PPT, PDF and many others from your application.
The moose likes Web Services and the fly likes Soap Envelope not version 1.1 Big Moose Saloon
  Search | Java FAQ | Recent Topics | Flagged Topics | Hot Topics | Zero Replies
Register / Login
JavaRanch » Java Forums » Java » Web Services
Bookmark "Soap Envelope not version 1.1" Watch "Soap Envelope not version 1.1" New topic

Soap Envelope not version 1.1

jonathan Greens
Ranch Hand

Joined: Apr 07, 2004
Posts: 139
Hi folks,
I am having trouble making webservices calls. I always get a Soap Envelope not version 1.1 fault, what's wrong? thanks
Here is my XML messages:


<?xml version="1.0" encoding="UTF-8" ?>
+ <SOAP-ENV:Envelope xmlns:SOAP-ENV="" xmlns:q0="" xmlns:q1="" xmlns:xsd="" xmlns:xsi="">
- <SOAP-ENV:Body>
- <ns0:SearchAndReturnRecords xmlns:ns0="urn:RSSoap" SOAP-ENV:encodingStyle="">
<version xsi:type="xsd:string" />
<searchExpression xsi:type="xsd:string">*</searchExpression>
<databaseCount xsi:type="xsd:short">1</databaseCount>
<sortKey xsi:type="xsd:string" />
<maxRecords xsi:type="xsd:long">10</maxRecords>
<databaseArray q0:arrayType="xsd:string[0]" xsi:type="q1:List" />

- <SOAP-ENV:Envelope xmlns:SOAP-ENV="" xmlns:SOAPSDK1="" xmlns:SOAPSDK2="" xmlns:SOAPSDK3="">
- <SOAP-ENV:Body SOAP-ENV:encodingStyle="">
- <SOAP-ENV:Fault>
<faultstring>Soap Envelope not version 1.1</faultstring>
I agree. Here's the link:
subject: Soap Envelope not version 1.1
jQuery in Action, 3rd edition